classification
Title: marshal needs a lower stack depth for debug builds on Windows
Type: Stage: resolved
Components: Tests Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: christian.heimes, giampaolo.rodola, ncoghlan, pitrou, python-dev, steve.dower
Priority: normal Keywords: patch

Created on 2014-10-26 20:40 by steve.dower, last changed 2014-11-01 22:16 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
marshal.patch steve.dower, 2014-10-26 20:40 review
Messages (3)
msg230037 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-10-26 20:40
This patch decreases the stack depth limit for Windows debug builds to prevent the recursion test from failing. (Apparently VC14 uses more stack space for each frame than VC10, but the release build is unaffected.)

Not sure who the correct nosy for marshal is, so I picked test coverage, as this only really shows up in the tests.
msg230050 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-27 00:28
This looks harmless to me.
msg230466 - (view) Author: Roundup Robot (python-dev) Date: 2014-11-01 22:16
New changeset c2a3865a59f4 by Steve Dower in branch 'default':
#22734 marshal needs a lower stack depth for debug builds on Windows
https://hg.python.org/cpython/rev/c2a3865a59f4
History
Date User Action Args
2016-11-03 19:06:21serhiy.storchakalinkissue25264 superseder
2014-11-01 22:16:57steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2014-11-01 22:16:10python-devsetnosy: + python-dev
messages: + msg230466
2014-10-27 00:28:36pitrousetnosy: + pitrou
messages: + msg230050
2014-10-26 20:40:05steve.dowercreate